Get all expense spend authorizations
get
/fscmRestApi/resources/11.13.18.05/expenseSpendAuthorizations
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds an expense spend authorization that match the specified primary key criteria.
Finder Variables- spendAuthorizationId; integer; Unique identifier for the expense spend authorization.
- spendAuthFinder Finds all expense spend authorizations that match the specified search criteria.
Finder Variables- SysEffectiveDate; object;
- authorizationNumber; string; Spend authorization number for the expense spend authorization.
- location; string; Location where the expense was incurred.
- person; string; Name of the person; string; associated with the expense spend authorization.
- personEmailAddress; string; Email address of the person; string; associated with the expense spend authorization.
- status; string; Status of the expense spend authorization.
- PrimaryKey Finds an expense spend authorization that match the specified primary key criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- assignmentId; integer; Identifier of the assignment of the person on the expense report.
- authorizationNumber; string; Spend authorization number for the expense spend authorization.
- authorizedTotal; number; Authorized total amount for the expense spend authorization.
- createdBy; string; User who created the row.
- creationDate; string; Date and time when the row was created.
- currencyCode; string; Currency code for the expense spend authorization.
- endDate; string; End date for the expense spend authorization.
- lastUpdateDate; string; Date and time when the row was last updated.
- lastUpdatedBy; string; User who last updated the row.
- location; string; Location where the expense was incurred.
- organizationId; integer; Unique identifier of a person's organization.
- person; string; Name of the person associated with the expense spend authorization.
- personEmailAddress; string; Email address of the person associated with the expense spend authorization.
- purpose; string; Purpose for the expense spend authorization
- spendAuthorizationId; integer; Unique identifier for the expense spend authorization.
- startDate; string; Start date for the expense spend authorization.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : expenseSpendAuthorizations
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : expenseSpendAuthorizations-item-response
Type:
Show Source
object-
assignmentId: integer
(int64)
Read Only:
trueIdentifier of the assignment of the person on the expense report. -
authorizationNumber: string
Read Only:
trueMaximum Length:50Spend authorization number for the expense spend authorization. -
authorizedTotal: number
Title:
Estimated TotalRead Only:trueAuthorized total amount for the expense spend authorization. -
createdBy: string
Read Only:
trueMaximum Length:64User who created the row. -
creationDate: string
(date-time)
Read Only:
trueDate and time when the row was created. -
currencyCode: string
Read Only:
trueMaximum Length:15Currency code for the expense spend authorization. -
endDate: string
(date)
Title:
End DateEnd date for the expense spend authorization. -
lastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the row was last updated. -
lastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the row. -
lines: array
Lines
Title:
LinesAn expense spend authorization line represents an individual estimated expense item within an expense spend authorization request and supports operations such as creation, viewing, updating, and deletion. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
location: string
Title:
Expense LocationMaximum Length:80Location where the expense was incurred. -
organizationId: integer
(int64)
Read Only:
trueUnique identifier of a person's organization. -
person: string
Title:
NameRead Only:trueMaximum Length:240Name of the person associated with the expense spend authorization. -
personEmailAddress: string
Maximum Length:
255Email address of the person associated with the expense spend authorization. -
purpose: string
Title:
PurposeMaximum Length:240Purpose for the expense spend authorization -
spendAuthorizationId: integer
(int64)
Read Only:
trueUnique identifier for the expense spend authorization. -
startDate: string
(date)
Title:
Start DateStart date for the expense spend authorization. -
status: string
Maximum Length:
255Status of the expense spend authorization.
Nested Schema : Lines
Type:
arrayTitle:
LinesAn expense spend authorization line represents an individual estimated expense item within an expense spend authorization request and supports operations such as creation, viewing, updating, and deletion.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : expenseSpendAuthorizations-lines-item-response
Type:
Show Source
object-
additionalInformation: string
Maximum Length:
4000Additional information captured during expense spend authorization creation. -
amount: number
Title:
AmountAmount for the expense spend authorization line. -
category: string
Read Only:
trueMaximum Length:255Category for the expense type. -
createdBy: string
Read Only:
trueMaximum Length:64User who created the row. -
creationDate: string
(date-time)
Read Only:
trueDate and time when the row was created. -
currencyCode: string
Maximum Length:
15Currency code for the expense spend authorization line. -
description: string
Title:
DescriptionMaximum Length:240A brief description of the expense spend authorization line. -
lastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the row was last updated. -
lastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the row. -
lineId: integer
(int64)
Read Only:
trueUnique identifier for the expense spend authorization line. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
merchant: string
Maximum Length:
240Name of the merchant where the expense was incurred. -
merchantEmailAddress: string
Maximum Length:
240Email address of the associated merchant. -
template: string
Maximum Length:
255Expense template against which the expense is incurred. -
type: string
Maximum Length:
255Expense type against which the expense is incurred.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.